Package com.sas.lsaf.content.repository

## Enum SynchronizationInfo.FileStatus

- java.lang.Object
- - java.lang.Enum<SynchronizationInfo.FileStatus>
  - - com.sas.lsaf.content.repository.SynchronizationInfo.FileStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SynchronizationInfo.FileStatus>`
  Enclosing class:
    SynchronizationInfo

      public static enum SynchronizationInfo.FileStatus
      extends java.lang.Enum<SynchronizationInfo.FileStatus>

  The enumeration that describes the location in which the file exists. It can be in the workspace, the repository, or both locations. It can also not exist in either place.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NON_EXISTENT` |
    `REPOSITORY_ONLY` |
    `WORKSPACE_AND_REPOSITORY` |
    `WORKSPACE_ONLY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SynchronizationInfo.FileStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SynchronizationInfo.FileStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_EXISTENT

          public static final SynchronizationInfo.FileStatus NON_EXISTENT

    - #### WORKSPACE_ONLY

          public static final SynchronizationInfo.FileStatus WORKSPACE_ONLY

    - #### REPOSITORY_ONLY

          public static final SynchronizationInfo.FileStatus REPOSITORY_ONLY

    - #### WORKSPACE_AND_REPOSITORY

          public static final SynchronizationInfo.FileStatus WORKSPACE_AND_REPOSITORY

  - ### Method Detail

    - #### values

          public static SynchronizationInfo.FileStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SynchronizationInfo.FileStatus c : SynchronizationInfo.FileStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SynchronizationInfo.FileStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null